%define VERSION 1.2.10
Summary: Lightweight Directory Access Protocol clients/servers
Name: openldap
Version: %{VERSION}
Release: 4ml
Group: Networking
Source: ftp://ftp.openldap.org/pub/OpenLDAP/openldap-release/%{name}-%{VERSION}.tgz
Source1: ldap.init
Patch0: openldap-1.2.10-Makefile.patch
Patch1: openldap-2.0.27-susesec.patch
BuildRoot: /var/tmp/%{name}-root
Copyright: Freely distributable
# NoSource: 0

Serial: 2000052401
Distribution: TurboLinux

%changelog
* Mon Feb 24 2003 Yuji Oishi <yoishi@miraclelinux.com>
- add backport SuSE security audit patch

* Wed May 24 2000 Masaru Yokoi <masaur@turbolinux.co.jp>
- Fixed /usr/bin/ud permittion to 0755 .

* Wed May 10 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Fixed default configuration in /etc/ldap/slapd.conf.
  (Using "make DESTDIR=$RPM_BUILD_ROOT installi")

* Sat Mar 25 2000 Hirofumi Takeda <takepin@turbolinux.co.jp>
- updated to 1.2.10

* Thu Nov 18 1999 Ki-ichiroh Naka <knaka@turbolinux.co.jp>
- 1.2.7-2
- fixed sysconfig dir in initscript

* Mon Oct 11 1999 Kelley Spoon <kelley.spoont@turbolinux.com>
- split off the libs so that we can install 'em seperately for am-utils
  and other crap. 
- updated to 1.2.7

* Thu Jul 29 1999 Kelley Spoon <kspoon@turbolinux.com>
- made the sysconf dir be /etc/ldap, datadir=/var/ldap
- upgraded to version 1.2.4

* Mon Jun 07 1999 Kelley Spoon <kspoon@turbolinux.com>
- whoa... where did the previous changelog go?  Spooky.
- the only pkgs that need a post/postun are devel and
  and server.  They weren't specificied, so the base
	ldap pkg was trying to run them and wouldn't work
	because there was no openldap init script.....

%description
LDAP servers and clients, as well as interfaces to other protocols.
Note that this does not include the slapd interface to X.500 and
therefore does not require the ISODE package. 

%package devel
Summary: LDAP development files
Group: Development/Libraries
%description devel
Header files and libraries for developing applications that use LDAP.

%package servers
Summary: LDAP servers
Group: Networking
%description servers
The servers (daemons) that come with LDAP.

%package libs
Summary: LDAP libs
Group: Networking
%description libs
These are the open LDAP libs that may be required by various system
utilities such as am-utils.

%prep
%setup -n %{name}-%{version}
%patch0 -p1 -b .make
%patch1 -p1 -b .susesec

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --enable-cldap \
	--enable-phonetic \
	--libexecdir=/usr/sbin --sysconfdir=/etc --datadir=/var/ldap \
	--with-localstatedir=/var \
	--with-kerberos --with-wrappers \
	--enable-shared --with-subdir=ldap

make

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT


#make prefix=$RPM_BUILD_ROOT/usr TMPDIR=$RPM_BUILD_ROOT \
#	datadir=$RPM_BUILD_ROOT/var/ldap libexecdir=$RPM_BUILD_ROOT/usr/sbin \
#	install

make install DESTDIR=${RPM_BUILD_ROOT}

# fubarred makefiles
mkdir -p $RPM_BUILD_ROOT/{var/ldap,etc/{ldap,rc.d/init.d}}

install -m755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/ldap
strip $RPM_BUILD_ROOT/usr/*bin/* ||:
echo localhost > $RPM_BUILD_ROOT/etc/ldap/ldapserver
:> $RPM_BUILD_ROOT/etc/ldap/defaultbase.ldap
chmod a+x $RPM_BUILD_ROOT/usr/lib/lib*.so.*

%post devel
/sbin/ldconfig

%post servers
/sbin/chkconfig --add ldap
/sbin/chkconfig ldap off

%post libs
/sbin/ldconfig

%postun libs
/sbin/ldconfig

%preun servers
if [ -x /etc/rc.d/init.d/ldap ]
then
 /etc/rc.d/init.d/ldap stop  1>/dev/null 2>&1
fi
if [ $1 = 0 ]; then
   /sbin/chkconfig --del ldap
fi                        

%postun devel
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc ANNOUNCEMENT CHANGES COPYRIGHT INSTALL README
%doc doc/rfc/rfc*
%config(noreplace) /etc/ldap/ldap.conf
%config(noreplace) /etc/ldap/ldapfilter.conf
%config(noreplace) /etc/ldap/ldapserver
%config(noreplace) /etc/ldap/defaultbase.ldap
%config(noreplace) /etc/ldap/ldaptemplates.conf
%config(noreplace) /etc/ldap/ldapsearchprefs.conf
/usr/sbin/xrpcomp
/usr/bin/ldapadd
/usr/bin/ldapdelete
/usr/bin/ldapmodify
/usr/bin/ldapmodrdn
/usr/bin/ldappasswd
/usr/bin/ldapsearch
/usr/bin/ud
/usr/man/man1/ldapdelete.1
/usr/man/man1/ldapmodify.1
/usr/man/man1/ldapadd.1
/usr/man/man1/ldapmodrdn.1
/usr/man/man1/ldappasswd.1
/usr/man/man1/ldapsearch.1
/usr/man/man1/ud.1
/usr/man/man5/ldap.conf.5
/usr/man/man5/ldapfilter.conf.5
/usr/man/man5/ldapfriendly.5
/usr/man/man5/ldapsearchprefs.conf.5
/usr/man/man5/ldaptemplates.conf.5
/usr/man/man5/ud.conf.5

%files devel
%defattr(-,root,root)
/usr/include/ldap.h
/usr/include/lber.h
/usr/include/ldap_cdefs.h
/usr/include/disptmpl.h
/usr/include/srchpref.h
/usr/lib/liblber.a
/usr/lib/liblber.la
/usr/lib/libldap.a
/usr/lib/libldap.la
/usr/man/man3/*

%files libs
%defattr(-,root,root)
/usr/lib/liblber.so
/usr/lib/libldap.so
/usr/lib/liblber.so.1.0.0
/usr/lib/libldap.so.1.0.0

%files servers
%defattr(-,root,root)
/usr/sbin/centipede
/usr/sbin/rp500
/usr/sbin/fax500
/usr/sbin/in.xfingerd
/usr/sbin/go500
/usr/sbin/go500gw
/usr/sbin/mail500
/usr/sbin/rcpt500
%config(noreplace) /etc/ldap/slapd.conf
%config(noreplace) /etc/ldap/slapd.oc.conf
%config(noreplace) /etc/ldap/slapd.at.conf
/etc/rc.d/init.d/ldap
/var/ldap
/usr/sbin/slapd
/usr/sbin/ldif2ldbm
/usr/sbin/ldif2index
/usr/sbin/ldif2id2entry
/usr/sbin/ldif2id2children
/usr/sbin/ldbmcat
/usr/sbin/ldbmtest
/usr/sbin/ldif
/usr/sbin/slurpd
/usr/man/man5/ldif.5
/usr/man/man5/slapd.conf.5
/usr/man/man5/slapd.replog.5
/usr/man/man8/centipede.8
/usr/man/man8/chlog2replog.8
/usr/man/man8/edb2ldif.8
/usr/man/man8/go500.8
/usr/man/man8/go500gw.8
/usr/man/man8/in.xfingerd.8
/usr/man/man8/ldapd.8
/usr/man/man8/ldbmcat.8
/usr/man/man8/ldif.8
/usr/man/man8/ldif2ldbm.8
/usr/man/man8/ldif2index.8
/usr/man/man8/ldif2id2entry.8
/usr/man/man8/ldif2id2children.8
/usr/man/man8/mail500.8
/usr/man/man8/fax500.8
/usr/man/man8/rcpt500.8
/usr/man/man8/slapd.8
/usr/man/man8/slurpd.8
